8.x

Faille de sécurité février 2019 - PSA-2019-02-19

Nous venons d'apprendre par l'équipe de sécurité de Drupal qu'une nouvelle version de notre CMS sera disponible demain, mercredi 20 février entre 19H et 23H (heure de Paris).

Cette version corrige un problème « critique » de sécurité du noyau de Drupal impactant la version 8.

Évidement pas beaucoup d'informations pour l'instant, il faudra attendre que le patch soit disponible afin d'en savoir plus.

Version de Drupal : 
En page d'accueil : 

insertion d'image dans un bloc

Bonjour,

J'insère une image dans un bloc personnalisé, et il apparaît bien dans ma fenêtre au niveau backoffice du navigateur.
Cela génère le code suivant :

<img alt="Plan d'accès au CSFRS" data-align="center" data-entity-type="file" data-entity-uuid="cc4db264-6ab6-4233-9340-ecfd5ac8755c" src="/system/files/inline-images/plan_0.jpg" />

Mais dans la fenêtre du frontoffice, elle n'apparaît pas quand je ne suis pas connecté !
1. Pourquoi ?

Drupal intranet réseau social ?

Bonjour,

Un client me demande la possibilité d'intégrer un réseau social à l'intranet de l'entreprise.

Il souhaite un "facebook-like". Qui permettra notamment la création de groupe en interne pour facilité les communications entre divers services (l'utilisation d'un cloud leur parait trop compliqué et pas assez user-friendly).
Mais également de permettre de publier des status.

J'ai cherché, mais impossible de trouver des thèmes permettant cela qui serait mis à jours encore aujourd'hui... Et je n'ai pas les compétences pour développer un thème de A à Z.

espace entre les champs

Bonjour :)

je suis en train de développer un petite site de recette de cuisine pour m'amuser
je rencontre un probleme d'affichage ( voir photo jointe)

j'aimerai savoir comment je pourrais faire pour mettre des espaces entre les champs
pour le moment ils sont tous au dessus des un et des autres, cela donne unrendu final moche

j'utilise le module display suite pour couper le contenu en 2, pour avoir une partie a droite et une partie a gauche

merci pour votre aide :)

recupérer la library d'un autre module

salut,

j'ai 2 modules persos,
dans mon module A je créé un fichier library dans lequel je liste un fichier js.

Dans mon module B je dois faire appel à ma library de mon module A.
Le probleme c'est que le résultat final c'est que ca met tout dans un big pipe
quand je regarde le code source de ma page html,

comme si D8 considérait que le code javascript du fichier déclaré dans la library du module A
était du code malicieux...

quand j'injecte ma library c'est avec :

Comment optimiser Apache pour Drupal 8 ?

J'ai un serveur LAMP pour mon site Drupal 8.

Je ne sais pas ce que je peux optimiser pour améliorer les performances de mon site.

C'est un site dynamique.

Devrais-je utiliser les fichiers htaccess ou les désactiver et tout mettre dans vhost?

Le fichier ci-dessous est-il correct?

Que puis-je ajouter?

.htaccess :

Drupal 8 Soucis PHP

Bonjour,

J'ai fait une installation complète et automatique chez LWS.fr (auto instal). Je n'ai que des problèmes qui pour moi sont liés mais je n'en trouve pas la cause.

A la fin je vous copie le tableau de bord mais les problèmes sont multiples.

Impossible de toucher le theme de base, bartik, un seul changement de couleur et le site se retrouve blanc mais en respecant les blocs (apparement) impossible également de changé le style de couleur, je ne peux qu'appliquer le "par défault"

[Résolu] Afficher les commentaires par ordre décroissant (le plus récent en premier)

Bonjour à tous,

Voilà, je suis sur Drupal 8, je viens de mettre en place les commentaires. Tout fonctionne bien mais les commentaires sont triés du plus ancien au plus récent et je voudrais l'inverse. Je n'arrive pas à trouver où modifier ça. J'ai cherché dans les types de commentaires, dans les vues (mais aucune vue ne sert à ça), dans les templates.

Merci par avance,

Cécile

Mise à jour effectuée mais non détectée par Drupal

Bonjour,

Un petit coup de composer update drupal/core --with-dependencies donne "Nothing to install or update".

Quand je vais voir les "Mises à jour disponibles", ça donne :
"Drupal core 8.6.1 Mise à jour de sécurité nécessaire !

Version recommandée : 8.6.7 (2019-Jan-17) "

J'ai même essayé de forcer la 8.6.7 dans composer.json mais même résultat.

Pages